/**
  Toggle
**/

.p1 {
    font-family:'Roboto',Arial,Helvetica Neue,sans-serif;font-size:15px;
    font-size:20px;
    font-style:italic;
    font-weight:bold;
    cursor:text;
    padding-left:10px;
    text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 10px darkblue;
    -webkit-animation:colorchange 9s ease infinite alternate;
}
.p2 {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    line-height: 1.1;
    background-color:rgba(31, 0, 77, 1.0);
    /* border-top: 3px solid #999999; */
    border-top: 1px solid #999999;
    font-family:'Roboto',Arial,Helvetica Neue,sans-serif;font-size:15px;
    font-size:20px;
    font-style:italic;
    font-weight:bold;
    cursor:text;
    padding-left:10px;
    text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 10px darkblue;
    -webkit-animation:colorchange 9s ease infinite alternate;
}
@-webkit-keyframes colorchange {
    0% { color: #FFF; }
    20% { color: #FFF; }
    40% { color: #AFAFAF; }
    60% { color: #AFAFAF; }
    80% { color: #FFF; }
    100% { color: #FFF; }
}

#toggle {
  display: none;
}

/**
  Hamburger
**/

.hamburger {
  position: absolute;
  /* width: 50px; */
  width: 40px;
  /* height: 50px; */
  height: 40px;
  font-size: 0.7rem;
  z-index: 991;
}

.hamburger div {
  position: relative;
  width: 3em;
  height: 4px;
  border-radius: 3px;
  background-color: #b8b7b6;
  margin-top: 8px;
  transition: all 0.3s ease-in-out;
}

.hamburger-display-topright{position:absolute;right:5.5vw;top:2.5vh;z-index:991}
.hamburger-texteffect{ text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 10px darkblue; }
.hamburger-textfade {
    font-style: italic;
    font-weight: bold;
    -webkit-animation:colorchange 9s ease infinite alternate;
}

/**
Nav Styles
**/

.nav {
  position: fixed;
  /* top: 11.0vh !important; */
  /* top: 10.8vh !important; */
  top: 9vh !important;
  /* right: 7vw; */
  right: 3.8vw;
  /* left: 7vw; */
  left: 3.8vw;
  /* bottom: 11.9vh; */
  bottom: 7vh;
  color: white;
  background-color:rgba(31, 0, 77, 1.0);
  border-top: 1px solid #999999;
  border-left: 1px solid #999999;
  border-right: 1px solid #999999;
  border-bottom: 1px solid #999999; 
  border-radius: 7px 7px 7px 7px;
  overflow-x: hidden;
  overflow-y: hidden;
  transition: all 0.2s ease-in-out;
  transform: scale(0);
  z-index: 990;
}

.nav-bottom {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    line-height: 1.5;
    background-color: red;
    border-top: 1px solid #999999;
}

.nav-wrapper {
  position: relative;
  background-color:rgba(0, 0, 0, 0.93);
  border-top: 1px solid #999999;
  overflow-x: hidden;
  overflow-y: auto;
  height: 100%;
  width: 100%;
}
nav {
  text-align: left;
  margin-left: 5vw;
  margin-right: 5vw;
  margin-bottom: 5vh;
}
nav a {
  position: relative;
  text-decoration: none;
  /* color: silver !important; */
  color: white !important;
  /* font-size: 2em; */
  font-size: calc(18px + 0.390625vw);
  display: inline-block;
  margin-top: 1.25em;
  transition: color 0.2s ease-in-out;
  letter-spacing: 1px;
}

nav a:before {
  content: '';
  height: 0;
  position: absolute;
  width: 0.25em;
  /* background-color: white; */
  /* this is the bar to the left of the <a> tag on hover */
  background-color: red;
  left: -0.5em;
  transition: all 0.2s ease-in-out;
}
nav a::after {
  content: ' 'attr(data-prim) attr(data-sec) ' ';
  /* font-size: 20px; */
  font-size: calc(15px + 0.390625vw);
  font-style: italic;
  color: gray;
}
nav a:hover {
  /* color: white !important; */
  color: silver !important;
}
nav a:hover:before {
  height: 100%;
}

/* ----------------- KsK iPhone SE ---------------- */

/* Portrait and Landscape */
@media only screen
  and (min-device-width: 375px)
  and (max-device-width: 667px)
  and (-webkit-min-device-pixel-ratio: 2) {
  .nav {
  position: fixed;
  top: 1.5vh !important;
  right: 2.0vw;
  /* margin-top: 27px; */
  margin-right: 1px;
  /* margin-bottom: 27px; */
  margin-left: 1px;
  bottom: 0.5vh;
  left: 2.0vw;
    }
}

/**
Animations
**/

#toggle:checked + .hamburger .top-bun {
  transform: rotate(-45deg);
  margin-top: 25px;
}
#toggle:checked + .hamburger .bottom-bun {
  opacity: 0;
  transform: rotate(45deg);
}
#toggle:checked + .hamburger .meat {
  transform: rotate(45deg);
  margin-top: -4px;
}

#toggle:checked + .hamburger + .nav {
  top: 0;
  transform: scale(1);
}

